Subject: Re: Has anyone successfully build a powerpc-target xgcc
From: [email-masked] (Geoffrey Noer)

29 Apr 1997 03:05:43 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Andy Anh Da Ngo)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Andy Anh Da Ngo" at Apr 25, 97 02:13:46 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

You might want to read ftp://ftp.cygnus.com/pub/embedded/crossgcc/FAQ

It's really not that hard.  You need the native tools built and installed.
Then you do a configure with --target=powerpc-eabi (or whatever)
and then the make and make install.  Depending on what sources you
use, you may or may not have problems building it (the FSF sources are not
tested for all configurations and the Cygnus versions we ship as the
gnu-win32 releases are only tested for i386-cygwin32 native so once
again you may have problems compiling other configurations but in
principle everything should just work.

--Geoff.

Andy Anh Da Ngo wrote:
> 
> Hello,
> 
> I'm almost ready to give up.  I have posted this topic
> several times and no one has responded.  I'm trying
> to build a powepc-targeted cross-compiler (linux hosted
> preferably, although I wish nt or dos hosted was 
> possible).  I know there are commercial cross-compilers
> out there but I can't afford the $$$ (I mean my company).
> Has anyone done a successful powerpc-targeted xgcc build
> out there?  If so, can you please pass on the instructions.
> Thanks..
> 
> I have tried doing the build with sparc-sun-solaris2.4
> hosted and i486-linux hosted but came up emptied
> every time; I have tried doing Canadian crosses
> (i486-linux build, i386-go32 host, powerpc-eabi target)
> and (sparc-sun-solaris2.4 build, i386-go32 host, 
> powerpc-eabi target) but that came up emptied too.
> I don't remember the errors but some of them included
> 
>    1) float.h-ieee not found during build 
>    2) libgcc.a not found after one build that ld was 
>       looking for (sparc-sun-solaris2.4 hosted) when
>       I ran power-eabi-gcc on some simple test.c file
>    3) crt0.o not found (sparc-sun-solaris2.4 build, i386-go32 host,
>       powerpc-eabi target) Canadian cross
>    4) config.h not found during linux-hosted build
>       when it was trying to compile hash.c
>       (a reference of config.h in runtime.h) during
>       objective-c compilation
>   
> Please help!!!
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".